Get session messages
curl --request GET \
--url https://api.example.com/api/session/{sessionID}/messageimport requests
url = "https://api.example.com/api/session/{sessionID}/message"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/session/{sessionID}/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/session/{sessionID}/message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/session/{sessionID}/message"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/session/{sessionID}/message")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/session/{sessionID}/message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"time": {
"created": 123
},
"type": "agent-switched",
"agent": "<string>",
"metadata": {}
}
],
"cursor": {
"previous": "<string>",
"next": "<string>"
}
}{
"_tag": "InvalidCursorError",
"message": "<string>"
}{
"_tag": "UnauthorizedError",
"message": "<string>"
}{
"_tag": "SessionNotFoundError",
"sessionID": "<string>",
"message": "<string>"
}{
"_tag": "UnknownError",
"message": "<string>",
"ref": "<string>"
}session
Get session messages
Retrieve projected messages for a session. Items keep the requested order across pages; use cursor.next or cursor.previous to move through the ordered timeline.
GET
/
api
/
session
/
{sessionID}
/
message
Get session messages
curl --request GET \
--url https://api.example.com/api/session/{sessionID}/messageimport requests
url = "https://api.example.com/api/session/{sessionID}/message"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/session/{sessionID}/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/session/{sessionID}/message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/session/{sessionID}/message"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/session/{sessionID}/message")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/session/{sessionID}/message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"time": {
"created": 123
},
"type": "agent-switched",
"agent": "<string>",
"metadata": {}
}
],
"cursor": {
"previous": "<string>",
"next": "<string>"
}
}{
"_tag": "InvalidCursorError",
"message": "<string>"
}{
"_tag": "UnauthorizedError",
"message": "<string>"
}{
"_tag": "SessionNotFoundError",
"sessionID": "<string>",
"message": "<string>"
}{
"_tag": "UnknownError",
"message": "<string>",
"ref": "<string>"
}Path Parameters
Pattern:
^sesQuery Parameters
Maximum number of messages to return. When omitted, the endpoint returns its default page size.
Message order for the first page. Use desc for newest first or asc for oldest first.
Available options:
asc, desc Opaque pagination cursor returned as cursor.previous or cursor.next in the previous response. Do not combine with order.